none
Older versions of Visual Studio needed for OpenCv RRS feed

  • Question

  • Hi, I am trying to use a Parrot AR Drone to recognize my face using OpenCV using this tutorial and this tutorial

    It requires me to use OpenCv 2.4+ and visual studio 2013. I've tried doing the process with Visual Studio 2017 BUT IT IS IMPOSSIBLE! 

    I am unbelievably frustrated and I've been trying to figure out how to install OpenCV for Nodejs for months now without any luck!

    I think the Visual studio edition is the issue here so please help me out with this. 

    It's for a college research project.

    Monday, May 29, 2017 4:45 PM

All replies

  • Hi tes64dk,

    Thanks for posting here.

    Since this forum is to discuss the VS IDE, I have no direct solution for this issue, but I could provide you a suggestion.

    If you're using VC (Visual C++), you will need c++ libraries (and binaries) built with/for Visual C++ 2017. These are not available officially yet, but you could try using a recent version of cmake and a recent version of opencv 3.2 from github to generate and build your own VC 2017 projects and solution. So it's strongly suggested that you use a well supported platform e.g. Visual C++ 2013 or 2015. If you still wan to use 2017, if possible, you can get help from the post: install/configure OpenCV3.2.0 with Visual Studio 2017.

    If you have any issue about using Opencv, you can research your question with the repository owners at https://github.com/Microsoft/opencv/issues. More community members on GitHub may further look at your issue and provide more suggestions.

    Hope this can help you.


    MSDN Community Support Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.

    Tuesday, May 30, 2017 4:36 AM
  • Hi, thank you for the answer. I was wondering if it was possible for me to install VS 2013 on my computer along side VS 2017 as well?

    And where could I find the download for VS 2013?

    Tuesday, May 30, 2017 4:48 PM
  • Hi, thank you for the answer. I was wondering if it was possible for me to install VS 2013 on my computer along side VS 2017 as well?

    Yes, they are compatible.

    And where could I find the download for VS 2013?

    I believe you can download VS 2013 through your MSDN subscription.
    Tuesday, May 30, 2017 5:29 PM
  • @tes64dk, Does Brian`s answer resolve your question? If not, you can download Visual Studio 2013 from here.

    MSDN Community Support Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.


    Wednesday, May 31, 2017 4:42 AM
  • @tes64dk, I have update the Visual Studio 2013 download link, you can check if it works fine.

    MSDN Community Support Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.

    Friday, June 2, 2017 9:13 AM